Compare commits

..

8 Commits

Author SHA1 Message Date
72dea1d665 doc: update badge
All checks were successful
Continuous Integration / lint_n_build (push) Successful in 19s
2026-04-19 14:26:34 +02:00
1a14fbb5f1 doc: update pkg repo owner
All checks were successful
Continuous Integration / lint_n_build (push) Successful in 1m53s
2026-04-19 14:16:12 +02:00
200dbf50fc fix: remove space
All checks were successful
Continuous Delivery / build_n_upload (push) Successful in 20s
2026-04-19 12:50:53 +02:00
c17d1c49f1 ci: change repo owner 2026-04-19 12:49:30 +02:00
abb193a03c fix: add ssl dhparams in all cases
Some checks failed
Continuous Delivery / build_n_upload (push) Has been cancelled
2026-04-11 18:24:52 +02:00
d26a6e5ec8 fix: create self-signed certificate for local use
Some checks failed
Continuous Delivery / build_n_upload (push) Has been cancelled
2026-04-11 16:18:34 +02:00
3d50d99368 fix: remove ssl entries if skipping certbot
Some checks failed
Continuous Delivery / build_n_upload (push) Has been cancelled
2026-04-04 06:59:18 +02:00
3a9d39de4c doc: fix dnf command search 2026-04-04 06:47:43 +02:00
3 changed files with 13 additions and 8 deletions

View File

@@ -2,7 +2,7 @@ NAME = netoik-rp
VERSION = $(shell git describe --abbrev=0) VERSION = $(shell git describe --abbrev=0)
RELEASE = $(shell git rev-parse --short HEAD) RELEASE = $(shell git rev-parse --short HEAD)
ARCH = noarch ARCH = noarch
OWNER = samuel OWNER = netoik
SUMMARY = "Netoïk Reverse Proxy" SUMMARY = "Netoïk Reverse Proxy"
LICENSE = "MIT" LICENSE = "MIT"
URL = "https://git.netoik.io/$(OWNER)/$(NAME)" URL = "https://git.netoik.io/$(OWNER)/$(NAME)"

View File

@@ -1,4 +1,4 @@
# Netoïk reverse proxy ![badge](https://git.netoik.io/samuel/netoik-rp/actions/workflows/ci.yaml/badge.svg) # Netoïk reverse proxy ![badge](https://git.netoik.io/netoik/netoik-rp/actions/workflows/ci.yaml/badge.svg)
Build an RPM package which will install several tools. Build an RPM package which will install several tools.
@@ -66,13 +66,13 @@ Some commands to deploy the RPM package on server
- Add Gitea repo to your repo list: - Add Gitea repo to your repo list:
```shell ```shell
dnf config-manager --add-repo https://git.netoik.io/api/packages/samuel/rpm.repo dnf config-manager --add-repo https://git.netoik.io/api/packages/netoik/rpm.repo
dnf repolist | grep gitea-samuel dnf repolist | grep gitea-samuel
``` ```
- Show available versions: - Show available versions:
```shell ```shell
dnf --showduplicates netoik-rp dnf search --showduplicates netoik-rp
``` ```
- Create certbot ovh credentials here: - Create certbot ovh credentials here:

View File

@@ -23,6 +23,7 @@ Install the reverse proxy called nginx with a predefined configuration and with
%post %post
if [ -z $SKIP_CERTBOT ]; then if [ -z $SKIP_CERTBOT ]; then
# Check required OVH variables
if [ -z $OVH_ENDPOINT ]; then echo "Missing env var OVH_ENDPOINT!" 1>&2; exit 1; fi if [ -z $OVH_ENDPOINT ]; then echo "Missing env var OVH_ENDPOINT!" 1>&2; exit 1; fi
if [ -z $OVH_APPLICATION_NAME ]; then echo "Missing env var OVH_APPLICATION_KEY!" 1>&2; exit 1; fi if [ -z $OVH_APPLICATION_NAME ]; then echo "Missing env var OVH_APPLICATION_KEY!" 1>&2; exit 1; fi
if [ -z $OVH_APPLICATION_DESCRIPTION ]; then echo "Missing env var OVH_APPLICATION_DESCRIPTION!" 1>&2; exit 1; fi if [ -z $OVH_APPLICATION_DESCRIPTION ]; then echo "Missing env var OVH_APPLICATION_DESCRIPTION!" 1>&2; exit 1; fi
@@ -46,11 +47,15 @@ if [ -z $SKIP_CERTBOT ]; then
if ! certbot certificates --cert-name netoik.io | grep --quiet netoik.io; then if ! certbot certificates --cert-name netoik.io | grep --quiet netoik.io; then
certbot certonly --cert-name netoik.io --non-interactive --agree-tos --email samuel.campos@netoik.io --dns-ovh --dns-ovh-credentials %{_sysconfdir}/certbot/ovh.ini -d *.netoik.io -d *.samuel-campos.fr certbot certonly --cert-name netoik.io --non-interactive --agree-tos --email samuel.campos@netoik.io --dns-ovh --dns-ovh-credentials %{_sysconfdir}/certbot/ovh.ini -d *.netoik.io -d *.samuel-campos.fr
fi fi
else
# Skipping certbot, so create self-signed certificate
mkdir --parents /etc/letsencrypt/live/netoik.io
openssl req -newkey rsa:4096 -nodes -keyout /etc/letsencrypt/live/netoik.io/privkey.pem -x509 -days 365 -out /etc/letsencrypt/live/netoik.io/fullchain.pem -subj "/C=US/ST=State/L=City/O=Organization/OU=Department/CN=netoik.io"
fi
# Create ssl dh params if not already exists # Create ssl dh params if not already exists
if [ ! -f "%{_sysconfdir}/letsencrypt/ssl-dhparams.pem" ]; then if [ ! -f "%{_sysconfdir}/letsencrypt/ssl-dhparams.pem" ]; then
openssl dhparam -out %{_sysconfdir}/letsencrypt/ssl-dhparams.pem 2048 openssl dhparam -out %{_sysconfdir}/letsencrypt/ssl-dhparams.pem 2048
fi
fi fi
# Restart services # Restart services